Bug 178935 - [patch] www/p5-Plack-Test-ExternalServer
Summary: [patch] www/p5-Plack-Test-ExternalServer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 11:00 UTC by Andrej Zverev
Modified: 2013-05-25 09:20 UTC (History)
0 users

See Also:


Attachments
patch.diff (699 bytes, patch)
2013-05-24 11:00 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev freebsd_committer 2013-05-24 11:00:02 UTC
	- Trim Makefile header
	- Remove unnecessary depend on PERL_LEVEL < 5.12
Comment 1 Edwin Groothuis freebsd_committer 2013-05-24 11:00:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-25 09:16:07 UTC
Author: sunpoet
Date: Sat May 25 08:15:58 2013
New Revision: 319037
URL: http://svnweb.freebsd.org/changeset/ports/319037

Log:
  - Remove outdated PERL_LEVEL check
  - Cleanup Makefile header
  - While I'm here, add LICENSE
  
  PR:		ports/178935
  Submitted by:	az

Modified:
  head/www/p5-Plack-Test-ExternalServer/Makefile   (contents, props changed)

Modified: head/www/p5-Plack-Test-ExternalServer/Makefile
==============================================================================
--- head/www/p5-Plack-Test-ExternalServer/Makefile	Sat May 25 08:15:20 2013	(r319036)
+++ head/www/p5-Plack-Test-ExternalServer/Makefile	Sat May 25 08:15:58 2013	(r319037)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	p5-Plack-Test-ExternalServer
-# Date created:		2011-08-27
-# Whom:			Sunpoet Po-Chuan Hsieh <sunpoet@FreeBSD.org>
-#
+# Created by: Sunpoet Po-Chuan Hsieh <sunpoet@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Plack-Test-ExternalServer
 PORTVERSION=	0.01
@@ -14,24 +10,18 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Run HTTP tests on external live servers
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	p5-HTTP-Message>=0:${PORTSDIR}/www/p5-HTTP-Message \
 		p5-Plack>=0:${PORTSDIR}/www/p5-Plack \
 		p5-URI>=0:${PORTSDIR}/net/p5-URI \
 		p5-libwww>=0:${PORTSDIR}/www/p5-libwww
-RUN_DEPENDS=	p5-HTTP-Message>=0:${PORTSDIR}/www/p5-HTTP-Message \
-		p5-Plack>=0:${PORTSDIR}/www/p5-Plack \
-		p5-URI>=0:${PORTSDIR}/net/p5-URI \
-		p5-libwww>=0:${PORTSDIR}/www/p5-libwww
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 TEST_DEPENDS=	p5-Test-TCP>=0:${PORTSDIR}/devel/p5-Test-TCP
 
 PERL_CONFIGURE=	yes
 
 MAN3=		Plack::Test::ExternalServer.3
 
-.include <bsd.port.pre.mk>
-
-.if ${PERL_LEVEL} < 501001
-TEST_DEPENDS+=	p5-Test-Simple>=0.89:${PORTSDIR}/devel/p5-Test-Simple
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-05-25 09:17:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!